from random import randint
#TODO

def miser(jetons_restants):
    #TODO
    return 7, 12

def choisir_nombre():
    nombre = -1
    while "#TODO" :
        nombre = "#TODO"
        if "#TODO":
            print("Erreur : le nombre doit être compris entre 0 et 49")
    return nombre

#TODO fonction miser_jetons

def tourner_la_roulette():
    numero = 8 #TODO
    print(f"Le croupier tourne la roulette. Le numéro {numero} est le numéro gagnant !")
    return numero

def calculer_gains_couleur(mise):
    #TODO
    pass

def calculer_gains_numero(mise):
    #TODO
    pass

def continuer_de_jouer(jetons_restants):
    return #TODO Effacer cette ligne quand ce sera demandé
    if "#TODO condition":
        print("Vous êtes ruiné.e. C'est la fin de la partie.")
        #TODO Retourner une valeur
    else:
        #TODO Afficher les jetons restants (avec une phrase)
        rejouer = input("Souhaitez-vous continuer ? (o/n)")
        if rejouer == "o" or rejouer == "O":
            pass #TODO Retourner une valeur
        else:
            #TODO Annoncer qu'on quitte le jeu avec le nombre de jetons restants
            return False

jetons = 100
continuer = True

while continuer:
    gains = 0
    numero_misé, mise = miser(jetons)

    numero_gagnant = tourner_la_roulette()
    #TODO Écrire la condition principale, pour déterminer les gains

    jetons += gains
    continuer = continuer_de_jouer(jetons)